diff --git a/game/core/src/main/java/net/minecraft/core/world/generate/WarrensCavesLargeFeature.java b/game/core/src/main/java/net/minecraft/core/world/generate/WarrensCavesLargeFeature.java
index b06374ddc..1ecb1eb49 100644
--- a/game/core/src/main/java/net/minecraft/core/world/generate/WarrensCavesLargeFeature.java
+++ b/game/core/src/main/java/net/minecraft/core/world/generate/WarrensCavesLargeFeature.java
@@ -7,6 +7,7 @@ import net.minecraft.core.world.World;
 import net.minecraft.core.world.chunk.Chunk;
 import net.minecraft.core.world.chunk.ChunkSection;
 import net.minecraft.core.world.generate.chunk.ChunkGeneratorResult;
+import org.jetbrains.annotations.NotNull;
 
 import java.util.Random;
 
@@ -15,8 +16,8 @@ public class WarrensCavesLargeFeature extends LargeFeature {
     private final int maxY;
 
     public WarrensCavesLargeFeature() {
-        minY = 0;
-        maxY = Chunk.CHUNK_SECTIONS * ChunkSection.SECTION_SIZE_Y;
+        this.minY = 0;
+        this.maxY = Chunk.CHUNK_SECTIONS * ChunkSection.SECTION_SIZE_Y;
     }
 
     public WarrensCavesLargeFeature(int minY, int maxY) {
@@ -24,23 +25,23 @@ public class WarrensCavesLargeFeature extends LargeFeature {
         this.maxY = maxY;
     }
 
-    protected void generateHubRoom(long seed, int baseChunkX, int baseChunkZ, ChunkGeneratorResult result, double blockX, double blockY, double blockZ) {
-        generateCave(seed, baseChunkX, baseChunkZ, result, blockX, blockY, blockZ, 1.0F + rand.nextFloat() * 6F, 0.0F, 0.0F, -1, -1, 0.5D);
+    protected void generateHubRoom(@NotNull World world, @NotNull Random random, long seed, int baseChunkX, int baseChunkZ, ChunkGeneratorResult result, double blockX, double blockY, double blockZ) {
+        generateCave(world, random, seed, baseChunkX, baseChunkZ, result, blockX, blockY, blockZ, 1.0F + random.nextFloat() * 6F, 0.0F, 0.0F, -1, -1, 0.5D);
     }
 
-    protected void generateCave(long seed, int baseChunkX, int baseChunkZ, ChunkGeneratorResult result, double blockX, double blockY,
+    protected void generateCave(@NotNull World world, @NotNull Random random, long seed, int baseChunkX, int baseChunkZ, ChunkGeneratorResult result, double blockX, double blockY,
                                 double blockZ, float initialRadius, float yRot, float xRot, int startPos, int endPos,
                                 double heightMod) {
         double chunkMiddleX = baseChunkX * Chunk.CHUNK_SIZE_X + Chunk.CHUNK_SIZE_X / 2;
         double chunkMiddleZ = baseChunkZ * Chunk.CHUNK_SIZE_Z + Chunk.CHUNK_SIZE_Z / 2;
         float rotHorOffset = 0.0F;
         float rotVerOffset = 0.0F;
-        Random random = new Random(seed);
+        Random r = new Random(seed);
         if (endPos <= 0) {
-            int maxLength = radiusChunk * 24 - 16;
-            endPos = maxLength - random.nextInt(maxLength / 8);
+            int maxLength = getRadiusChunk() * 24 - 16;
+            endPos = maxLength - r.nextInt(maxLength / 8);
         }
-        final boolean noRotate = random.nextInt(32) == 0;
+        final boolean noRotate = r.nextInt(32) == 0;
         if (noRotate) {
             yRot = (yRot / (MathHelper.PI * 2)) * 4;
             yRot = Math.round(yRot);
@@ -49,8 +50,8 @@ public class WarrensCavesLargeFeature extends LargeFeature {
 //            xRot = Math.round(xRot);
 //            xRot = xRot * (MathHelper.PI * 2) / 4;
         }
-        int branchPos = random.nextInt(endPos / 2) + endPos / 4;
-        boolean sharpRotVer = random.nextInt(6) == 0;
+        int branchPos = r.nextInt(endPos / 2) + endPos / 4;
+        boolean sharpRotVer = r.nextInt(6) == 0;
         for (; startPos < endPos; startPos++) {
             double width = 1.5D + (MathHelper.sin((startPos * MathHelper.PI) / endPos) * initialRadius * 1.0F);
             double height = width * heightMod;
@@ -70,19 +71,19 @@ public class WarrensCavesLargeFeature extends LargeFeature {
                 yRot += rotHorOffset * 0.1F;
                 rotVerOffset *= 0.9F;
                 rotHorOffset *= 0.75F;
-                rotVerOffset += (random.nextFloat() - random.nextFloat()) * random.nextFloat() * 2.0F;
-                rotHorOffset += (random.nextFloat() - random.nextFloat()) * random.nextFloat() * 4F;
+                rotVerOffset += (r.nextFloat() - r.nextFloat()) * r.nextFloat() * 2.0F;
+                rotHorOffset += (r.nextFloat() - r.nextFloat()) * r.nextFloat() * 4F;
 
-                final int flip = random.nextInt(5);
+                final int flip = r.nextInt(5);
                 if (flip == 0) {
                     yRot = -yRot;
                 }
 //                } else if (flip == 1) {
 //                    xRot = -xRot;
 //                }
-                final int addRandom = random.nextInt(4);
+                final int addRandom = r.nextInt(4);
                 if (addRandom == 0) {
-                    yRot += random.nextFloat() * MathHelper.PI - MathHelper.PI / 2;
+                    yRot += r.nextFloat() * MathHelper.PI - MathHelper.PI / 2;
                 }
 //                } else if (addRandom == 1) {
 //                    xRot += random.nextFloat() * MathHelper.PI - MathHelper.PI / 2;
@@ -91,13 +92,13 @@ public class WarrensCavesLargeFeature extends LargeFeature {
 
             // Do adjacent branches if necessary
             if (startPos == branchPos && initialRadius > 1.0F) {
-                generateCave(random.nextLong(), baseChunkX, baseChunkZ, result, blockX, blockY, blockZ, random.nextFloat() * 0.5F + 0.5F, yRot - MathHelper.PI / 2F, xRot / 3F, startPos, endPos, 1.0D);
-                generateCave(random.nextLong(), baseChunkX, baseChunkZ, result, blockX, blockY, blockZ, random.nextFloat() * 0.5F + 0.5F, yRot + MathHelper.PI / 2F, xRot / 3F, startPos, endPos, 1.0D);
+                generateCave(world, random, r.nextLong(), baseChunkX, baseChunkZ, result, blockX, blockY, blockZ, r.nextFloat() * 0.5F + 0.5F, yRot - MathHelper.PI / 2F, xRot / 3F, startPos, endPos, 1.0D);
+                generateCave(world, random, r.nextLong(), baseChunkX, baseChunkZ, result, blockX, blockY, blockZ, r.nextFloat() * 0.5F + 0.5F, yRot + MathHelper.PI / 2F, xRot / 3F, startPos, endPos, 1.0D);
                 return;
             }
 
             // Randomly skip a section
-            if (random.nextInt(4) == 0) {
+            if (r.nextInt(4) == 0) {
                 continue;
             }
 
@@ -193,29 +194,29 @@ public class WarrensCavesLargeFeature extends LargeFeature {
     }
 
     @Override
-    protected void doGeneration(World world, int chunkX, int chunkZ, int baseChunkX, int baseChunkZ, ChunkGeneratorResult result) {
-        int cavesToGenerate = rand.nextInt(rand.nextInt(rand.nextInt(100) + 1) + 1);
-        if (rand.nextInt(15) != 0) {
+    protected void doGeneration(@NotNull World world, @NotNull Random random, int chunkX, int chunkZ, int baseChunkX, int baseChunkZ, @NotNull ChunkGeneratorResult result) {
+        int cavesToGenerate = random.nextInt(random.nextInt(random.nextInt(100) + 1) + 1);
+        if (random.nextInt(15) != 0) {
             cavesToGenerate = 0;
         }
 
-        final int yRange = maxY - minY;
+        final int yRange = this.maxY - this.minY;
 
         for (int i = 0; i < cavesToGenerate; i++) {
-            double blockX = chunkX * Chunk.CHUNK_SIZE_X + rand.nextInt(Chunk.CHUNK_SIZE_X);
-            double blockY = minY + rand.nextInt(rand.nextInt(yRange - (ChunkSection.SECTION_SIZE_Y / 2)) + (ChunkSection.SECTION_SIZE_Y / 2));
-            double blockZ = chunkZ * Chunk.CHUNK_SIZE_Z + rand.nextInt(Chunk.CHUNK_SIZE_Z);
+            double blockX = chunkX * Chunk.CHUNK_SIZE_X + random.nextInt(Chunk.CHUNK_SIZE_X);
+            double blockY = this.minY + random.nextInt(random.nextInt(yRange - (ChunkSection.SECTION_SIZE_Y / 2)) + (ChunkSection.SECTION_SIZE_Y / 2));
+            double blockZ = chunkZ * Chunk.CHUNK_SIZE_Z + random.nextInt(Chunk.CHUNK_SIZE_Z);
 
             int numBranches = 1;
-            if (rand.nextInt(4) == 0) {
-                generateHubRoom(rand.nextLong(), baseChunkX, baseChunkZ, result, blockX, blockY, blockZ);
-                numBranches += rand.nextInt(4);
+            if (random.nextInt(4) == 0) {
+                generateHubRoom(world, random, random.nextLong(), baseChunkX, baseChunkZ, result, blockX, blockY, blockZ);
+                numBranches += random.nextInt(4);
             }
             for (int l1 = 0; l1 < numBranches; l1++) {
-                float yRot = rand.nextFloat() * MathHelper.PI * 2.0F; // 0 - 2Pi
-                float xRot = ((rand.nextFloat() - 0.5F) * 2.0F) / 8F; // -0.125 - 0.125
-                float initialRadius = rand.nextFloat() * 1.5f + rand.nextFloat(); // 0 - 3
-                generateCave(rand.nextLong(), baseChunkX, baseChunkZ, result, blockX, blockY, blockZ, initialRadius, yRot, xRot, 0, 0, 1.0f);
+                float yRot = random.nextFloat() * MathHelper.PI * 2.0F; // 0 - 2Pi
+                float xRot = ((random.nextFloat() - 0.5F) * 2.0F) / 8F; // -0.125 - 0.125
+                float initialRadius = random.nextFloat() * 1.5f + random.nextFloat(); // 0 - 3
+                generateCave(world, random, random.nextLong(), baseChunkX, baseChunkZ, result, blockX, blockY, blockZ, initialRadius, yRot, xRot, 0, 0, 1.0f);
             }
         }
     }
diff --git a/game/core/src/main/java/net/minecraft/core/world/generate/chunk/ChunkDecorator.java b/game/core/src/main/java/net/minecraft/core/world/generate/chunk/ChunkDecorator.java
index 9ac66e3a6..32b506157 100644
--- a/game/core/src/main/java/net/minecraft/core/world/generate/chunk/ChunkDecorator.java
+++ b/game/core/src/main/java/net/minecraft/core/world/generate/chunk/ChunkDecorator.java
@@ -1,11 +1,12 @@
 package net.minecraft.core.world.generate.chunk;
 
 import net.minecraft.core.world.chunk.Chunk;
+import org.jetbrains.annotations.NotNull;
 
 public interface ChunkDecorator
 {
     /**
      * Places {@link net.minecraft.core.world.generate.feature.WorldFeature world features} on a given chunk.
      */
-    void decorate(Chunk chunk);
+    void decorate(@NotNull Chunk chunk);
 }
diff --git a/game/core/src/main/java/net/minecraft/core/world/generate/chunk/ChunkFeatureDecorator.java b/game/core/src/main/java/net/minecraft/core/world/generate/chunk/ChunkFeatureDecorator.java
index ccbdcc2df..e8b77ae80 100644
--- a/game/core/src/main/java/net/minecraft/core/world/generate/chunk/ChunkFeatureDecorator.java
+++ b/game/core/src/main/java/net/minecraft/core/world/generate/chunk/ChunkFeatureDecorator.java
@@ -2,20 +2,15 @@ package net.minecraft.core.world.generate.chunk;
 
 import it.unimi.dsi.fastutil.objects.Object2IntMap;
 import it.unimi.dsi.fastutil.objects.Object2IntOpenHashMap;
-import net.minecraft.core.block.BlockLogic;
 import net.minecraft.core.block.BlockLogicSand;
 import net.minecraft.core.world.World;
 import net.minecraft.core.world.chunk.Chunk;
 import org.jetbrains.annotations.NotNull;
 
-import java.util.ArrayList;
-import java.util.List;
-import java.util.Map;
 import java.util.Random;
 
 public abstract class ChunkFeatureDecorator
-    implements ChunkDecorator
-{
+    implements ChunkDecorator {
     private boolean initialized = false;
     private final @NotNull World world;
     private final @NotNull Object2IntMap<ChunkDecoration> decorations = new Object2IntOpenHashMap<>();
@@ -24,7 +19,8 @@ public abstract class ChunkFeatureDecorator
         this.world = world;
     }
 
-    /* package-private */ final void registerDecorationsSetup() {
+    /* package-private */
+    final void registerDecorationsSetup() {
         if (!this.initialized) {
             this.registerDecorations();
             this.initialized = true;
diff --git a/game/core/src/main/java/net/minecraft/core/world/generate/chunk/ChunkGenerator.java b/game/core/src/main/java/net/minecraft/core/world/generate/chunk/ChunkGenerator.java
index 70e0c3e58..d8c6dd59f 100644
--- a/game/core/src/main/java/net/minecraft/core/world/generate/chunk/ChunkGenerator.java
+++ b/game/core/src/main/java/net/minecraft/core/world/generate/chunk/ChunkGenerator.java
@@ -1,14 +1,12 @@
 package net.minecraft.core.world.generate.chunk;
 
-import com.mojang.logging.CategorizedLogger;
-import com.mojang.logging.LogUtils;
 import net.minecraft.core.data.registry.Registries;
 import net.minecraft.core.world.World;
 import net.minecraft.core.world.biome.Biome;
 import net.minecraft.core.world.chunk.Chunk;
 import net.minecraft.core.world.chunk.ChunkSection;
 import net.minecraft.core.world.generate.feature.WorldFeature;
-import org.slf4j.Logger;
+import org.jetbrains.annotations.NotNull;
 
 import static net.minecraft.core.world.chunk.Chunk.CHUNK_SIZE_X;
 import static net.minecraft.core.world.chunk.Chunk.CHUNK_SIZE_Z;
@@ -19,20 +17,17 @@ import static net.minecraft.core.world.chunk.ChunkSection.SECTION_SIZE_Y;
  * coordinates for a particular {@link World world}, and to perform
  * {@link WorldFeature world feature} placement for that chunk.
  */
-public abstract class ChunkGenerator
-{
-    private static final CategorizedLogger LOGGER = LogUtils.getLogger();
-
-    protected final World world;
-    private final ChunkDecorator decorator;
+public abstract class ChunkGenerator {
+    protected final @NotNull World world;
+    private final @NotNull ChunkDecorator decorator;
 
     /**
      * Creates a new instance of {@link ChunkGenerator}.
-     * @param world The world to generate a chunk for.
+     *
+     * @param world     The world to generate a chunk for.
      * @param decorator The decorator to use to decorate the chunk.
      */
-    public ChunkGenerator(World world, ChunkDecorator decorator)
-    {
+    public ChunkGenerator(@NotNull World world, @NotNull ChunkDecorator decorator) {
         this.world = world;
         this.decorator = decorator;
     }
@@ -40,21 +35,21 @@ public abstract class ChunkGenerator
     /**
      * Generates a {@link Chunk chunk} at the specified coordinates chunkX and chunkZ.
      * This does not include placement of {@link WorldFeature world features}.
+     *
      * @return A chunk.
      */
-    public final Chunk generate(int chunkX, int chunkZ)
-    {
+    public final @NotNull Chunk generate(int chunkX, int chunkZ) {
         // Create chunk
-        Chunk chunk = new Chunk(world, chunkX, chunkZ);
+        Chunk chunk = new Chunk(this.world, chunkX, chunkZ);
 
         // Set up chunk temperature, humidity, and biome maps
-        chunk.temperature = world.getBiomeProvider().getTemperatures(null, chunkX * CHUNK_SIZE_X, chunkZ * CHUNK_SIZE_Z, CHUNK_SIZE_X, CHUNK_SIZE_Z);
-        chunk.humidity = world.getBiomeProvider().getHumidities(null, chunkX * CHUNK_SIZE_X, chunkZ * CHUNK_SIZE_Z, CHUNK_SIZE_X, CHUNK_SIZE_Z);
-        chunk.variety = world.getBiomeProvider().getVarieties(null, chunkX * CHUNK_SIZE_X, chunkZ * CHUNK_SIZE_Z, CHUNK_SIZE_X, CHUNK_SIZE_Z);
+        chunk.temperature = this.world.getBiomeProvider().getTemperatures(null, chunkX * CHUNK_SIZE_X, chunkZ * CHUNK_SIZE_Z, CHUNK_SIZE_X, CHUNK_SIZE_Z);
+        chunk.humidity = this.world.getBiomeProvider().getHumidities(null, chunkX * CHUNK_SIZE_X, chunkZ * CHUNK_SIZE_Z, CHUNK_SIZE_X, CHUNK_SIZE_Z);
+        chunk.variety = this.world.getBiomeProvider().getVarieties(null, chunkX * CHUNK_SIZE_X, chunkZ * CHUNK_SIZE_Z, CHUNK_SIZE_X, CHUNK_SIZE_Z);
 
         Biome[] biomes = new Biome[CHUNK_SIZE_X * (SECTION_SIZE_Y >> 3) * CHUNK_SIZE_Z];
         for (int sectionY = 0; sectionY < Chunk.CHUNK_SECTIONS; sectionY++) {
-            world.getBiomeProvider().getBiomes(biomes, chunk.temperature, chunk.humidity, chunk.variety, chunkX * CHUNK_SIZE_X, sectionY * SECTION_SIZE_Y, chunkZ * CHUNK_SIZE_Z, CHUNK_SIZE_X, SECTION_SIZE_Y >> 3, CHUNK_SIZE_Z);
+            this.world.getBiomeProvider().getBiomes(biomes, chunk.temperature, chunk.humidity, chunk.variety, chunkX * CHUNK_SIZE_X, sectionY * SECTION_SIZE_Y, chunkZ * CHUNK_SIZE_Z, CHUNK_SIZE_X, SECTION_SIZE_Y >> 3, CHUNK_SIZE_Z);
             ChunkSection section = chunk.getSection(sectionY);
             for (int i = 0; i < biomes.length; i++) {
                 section.biome[i] = (byte) Registries.BIOMES.getNumericIdOfItem(biomes[i]);
@@ -71,28 +66,29 @@ public abstract class ChunkGenerator
         }
 
         // Generate maps (e.g. height map, sky light map)
-        chunk.recalcHeightmap();
+        chunk.recalcHeightmapAndLightmap();
 
         return chunk;
     }
 
     /**
      * Decorate a chunk using the provided {@link ChunkDecorator}.
+     *
      * @param chunk The chunk to decorate.
      */
-    public final void decorate(Chunk chunk)
-    {
-        if (decorator instanceof ChunkFeatureDecorator) {
-            ((ChunkFeatureDecorator) decorator).registerDecorationsSetup();
+    public final void decorate(@NotNull Chunk chunk) {
+        if (this.decorator instanceof ChunkFeatureDecorator featureDecorator) {
+            featureDecorator.registerDecorationsSetup();
         }
 
-        decorator.decorate(chunk);
+        this.decorator.decorate(chunk);
     }
 
     /**
      * Generates the block array for a given chunk.
+     *
      * @param chunk The chunk to generate the block array for.
      * @return The block array resulting from chunk generation.
      */
-    protected abstract ChunkGeneratorResult doBlockGeneration(Chunk chunk);
+    protected abstract @NotNull ChunkGeneratorResult doBlockGeneration(@NotNull Chunk chunk);
 }
diff --git a/game/core/src/main/java/net/minecraft/core/world/generate/chunk/ChunkGeneratorResult.java b/game/core/src/main/java/net/minecraft/core/world/generate/chunk/ChunkGeneratorResult.java
index ca4c9ee54..b40f6644a 100644
--- a/game/core/src/main/java/net/minecraft/core/world/generate/chunk/ChunkGeneratorResult.java
+++ b/game/core/src/main/java/net/minecraft/core/world/generate/chunk/ChunkGeneratorResult.java
@@ -4,17 +4,19 @@ import net.minecraft.core.block.Block;
 import net.minecraft.core.block.Blocks;
 import net.minecraft.core.world.chunk.Chunk;
 import net.minecraft.core.world.chunk.ChunkSection;
+import org.jetbrains.annotations.NotNull;
+import org.jetbrains.annotations.Nullable;
 
 import java.util.Arrays;
 
 public class ChunkGeneratorResult {
-    private final short[][] sectionBlocksArray;
-    private final int[] numBlocksInSectionArray;
+    private final short @NotNull [] @Nullable [] sectionBlocksArray;
+    private final int @NotNull [] numBlocksInSectionArray;
 
     public ChunkGeneratorResult() {
-        sectionBlocksArray = new short[Chunk.CHUNK_SECTIONS][];
-        numBlocksInSectionArray = new int[Chunk.CHUNK_SECTIONS];
-        Arrays.fill(numBlocksInSectionArray, 0);
+        this.sectionBlocksArray = new short[Chunk.CHUNK_SECTIONS][];
+        this.numBlocksInSectionArray = new int[Chunk.CHUNK_SECTIONS];
+        Arrays.fill(this.numBlocksInSectionArray, 0);
     }
 
     public void setBlock(int x, int y, int z, int id) {
@@ -29,35 +31,36 @@ public class ChunkGeneratorResult {
         Block<?> newBlock = Blocks.getBlock(id);
 
         // If the array is null and we're only clearing a block, skip creating it; otherwise, create it
-        if (sectionBlocksArray[section] == null) {
+        if (this.sectionBlocksArray[section] == null) {
             if (newBlock == null) {
                 return;
             } else {
-                sectionBlocksArray[section] = new short[Chunk.CHUNK_SIZE_X * ChunkSection.SECTION_SIZE_Y * Chunk.CHUNK_SIZE_Z];
+                this.sectionBlocksArray[section] = new short[Chunk.CHUNK_SIZE_X * ChunkSection.SECTION_SIZE_Y * Chunk.CHUNK_SIZE_Z];
             }
         }
 
         // Increment or decrement numBlocksInSection depending on whether we're setting or clearing a block
         Block<?> currentBlock = Blocks.getBlock(getBlock(x, y, z));
         if (newBlock == null && currentBlock != null) {
-            numBlocksInSectionArray[section]--;
+            this.numBlocksInSectionArray[section]--;
         } else if (newBlock != null && currentBlock == null) {
-            numBlocksInSectionArray[section]++;
+            this.numBlocksInSectionArray[section]++;
         }
 
-        sectionBlocksArray[section][ChunkSection.makeBlockIndex(x, cy, z)] = (short) id;
+        this.sectionBlocksArray[section][ChunkSection.makeBlockIndex(x, cy, z)] = (short) id;
     }
 
     public int getBlock(int x, int y, int z) {
-        if (x < 0 || x >= Chunk.CHUNK_SIZE_X || y < 0 || y >= (Chunk.CHUNK_SECTIONS * ChunkSection.SECTION_SIZE_Y) || z < 0 || z >= Chunk.CHUNK_SIZE_Z) return 0;
+        if (x < 0 || x >= Chunk.CHUNK_SIZE_X || y < 0 || y >= (Chunk.CHUNK_SECTIONS * ChunkSection.SECTION_SIZE_Y) || z < 0 || z >= Chunk.CHUNK_SIZE_Z)
+            return 0;
 
         int section = y / ChunkSection.SECTION_SIZE_Y;
         int cy = y % ChunkSection.SECTION_SIZE_Y;
 
-        if (sectionBlocksArray[section] == null) {
+        if (this.sectionBlocksArray[section] == null) {
             return 0;
         }
-        return sectionBlocksArray[section][ChunkSection.makeBlockIndex(x, cy, z)];
+        return this.sectionBlocksArray[section][ChunkSection.makeBlockIndex(x, cy, z)];
     }
 
     public short[] getSectionBlocks(int ySection) {
@@ -66,10 +69,10 @@ public class ChunkGeneratorResult {
         }
 
         // Check if the array has no non-air blocks, and if so, return null
-        if (numBlocksInSectionArray[ySection] <= 0) {
+        if (this.numBlocksInSectionArray[ySection] <= 0) {
             return null;
         }
 
-        return sectionBlocksArray[ySection];
+        return this.sectionBlocksArray[ySection];
     }
 }
diff --git a/game/core/src/main/java/net/minecraft/core/world/generate/chunk/classic/ChunkGeneratorClassic.java b/game/core/src/main/java/net/minecraft/core/world/generate/chunk/classic/ChunkGeneratorClassic.java
index 45986e208..1beacac78 100644
--- a/game/core/src/main/java/net/minecraft/core/world/generate/chunk/classic/ChunkGeneratorClassic.java
+++ b/game/core/src/main/java/net/minecraft/core/world/generate/chunk/classic/ChunkGeneratorClassic.java
@@ -11,40 +11,38 @@ import net.minecraft.core.world.generate.chunk.perlin.overworld.retro.ChunkDecor
 import net.minecraft.core.world.generate.chunk.perlin.overworld.retro.SurfaceGeneratorOverworldRetro;
 import net.minecraft.core.world.noise.CombinedPerlinNoise;
 import net.minecraft.core.world.noise.PerlinNoise;
+import org.jetbrains.annotations.NotNull;
 
 public class ChunkGeneratorClassic
-    extends ChunkGenerator
-{
-    private final CombinedPerlinNoise combinedA;
-    private final CombinedPerlinNoise combinedB;
-    private final CombinedPerlinNoise combinedC;
-    private final CombinedPerlinNoise combinedD;
-    private final PerlinNoise octavesA;
-    private final PerlinNoise octavesB;
-
-    private final SurfaceGenerator sg;
-    private final CavesLargeFeature cg;
-
-    public ChunkGeneratorClassic(World world)
-    {
+    extends ChunkGenerator {
+    private final @NotNull CombinedPerlinNoise combinedA;
+    private final @NotNull CombinedPerlinNoise combinedB;
+    private final @NotNull CombinedPerlinNoise combinedC;
+    private final @NotNull CombinedPerlinNoise combinedD;
+    private final @NotNull PerlinNoise octavesA;
+    private final @NotNull PerlinNoise octavesB;
+
+    private final @NotNull SurfaceGenerator sg;
+    private final @NotNull CavesLargeFeature cg;
+
+    public ChunkGeneratorClassic(@NotNull World world) {
         super(world, new ChunkDecoratorOverworldRetro(world));
         long seed = world.getRandomSeed();
 
-        combinedA = new CombinedPerlinNoise(new PerlinNoise(seed, 8, 0), new PerlinNoise(seed, 8, 8));
-        combinedB = new CombinedPerlinNoise(new PerlinNoise(seed, 8, 16), new PerlinNoise(seed, 8, 24));
-        combinedC = new CombinedPerlinNoise(new PerlinNoise(seed, 8, 32), new PerlinNoise(seed, 8, 40));
-        combinedD = new CombinedPerlinNoise(new PerlinNoise(seed, 8, 48), new PerlinNoise(seed, 8, 56));
+        this.combinedA = new CombinedPerlinNoise(new PerlinNoise(seed, 8, 0), new PerlinNoise(seed, 8, 8));
+        this.combinedB = new CombinedPerlinNoise(new PerlinNoise(seed, 8, 16), new PerlinNoise(seed, 8, 24));
+        this.combinedC = new CombinedPerlinNoise(new PerlinNoise(seed, 8, 32), new PerlinNoise(seed, 8, 40));
+        this.combinedD = new CombinedPerlinNoise(new PerlinNoise(seed, 8, 48), new PerlinNoise(seed, 8, 56));
 
-        octavesA = new PerlinNoise(seed, 6, 64);
-        octavesB = new PerlinNoise(seed, 8, 70);
+        this.octavesA = new PerlinNoise(seed, 6, 64);
+        this.octavesB = new PerlinNoise(seed, 8, 70);
 
-        sg = new SurfaceGeneratorOverworldRetro(world);
-        cg = new CavesLargeFeature();
+        this.sg = new SurfaceGeneratorOverworldRetro(world);
+        this.cg = new CavesLargeFeature();
     }
 
     @Override
-    protected ChunkGeneratorResult doBlockGeneration(Chunk chunk)
-    {
+    protected @NotNull ChunkGeneratorResult doBlockGeneration(@NotNull Chunk chunk) {
         ChunkGeneratorResult result = new ChunkGeneratorResult();
 
         int chunkX = chunk.pos.x;
@@ -55,20 +53,16 @@ public class ChunkGeneratorClassic
         final int[] heightMap = new int[Chunk.CHUNK_SIZE_X * Chunk.CHUNK_SIZE_Z];
 
         // Raising..
-        for (int x = 0; x < Chunk.CHUNK_SIZE_X; x++)
-        {
-            for (int z = 0; z < Chunk.CHUNK_SIZE_Z; z++)
-            {
-                final double noiseA = combinedA.get((chunkX * Chunk.CHUNK_SIZE_X + x) * mod, (chunkZ * Chunk.CHUNK_SIZE_Z + z) * mod) / 6.0D + -4;
-                double noiseB = combinedB.get((chunkX * Chunk.CHUNK_SIZE_X + x) * mod, (chunkZ * Chunk.CHUNK_SIZE_Z + z) * mod) / 5.0D + 10.0D + -4;
-                if (octavesA.get(chunkX * Chunk.CHUNK_SIZE_X + x, chunkZ * Chunk.CHUNK_SIZE_Z + z) / 8.0D > 0.0D)
-                {
+        for (int x = 0; x < Chunk.CHUNK_SIZE_X; x++) {
+            for (int z = 0; z < Chunk.CHUNK_SIZE_Z; z++) {
+                final double noiseA = this.combinedA.get((chunkX * Chunk.CHUNK_SIZE_X + x) * mod, (chunkZ * Chunk.CHUNK_SIZE_Z + z) * mod) / 6.0D + -4;
+                double noiseB = this.combinedB.get((chunkX * Chunk.CHUNK_SIZE_X + x) * mod, (chunkZ * Chunk.CHUNK_SIZE_Z + z) * mod) / 5.0D + 10.0D + -4;
+                if (this.octavesA.get(chunkX * Chunk.CHUNK_SIZE_X + x, chunkZ * Chunk.CHUNK_SIZE_Z + z) / 8.0D > 0.0D) {
                     noiseB = noiseA;
                 }
 
                 double height;
-                if ((height = Math.max(noiseA, noiseB) / 2.0D) < 0.0D)
-                {
+                if ((height = Math.max(noiseA, noiseB) / 2.0D) < 0.0D) {
                     height *= 0.8D;
                 }
 
@@ -78,14 +72,11 @@ public class ChunkGeneratorClassic
 
         // Eroding..
         final int[] newHeightMap = heightMap;
-        for (int x = 0; x < Chunk.CHUNK_SIZE_X; x++)
-        {
-            for (int z = 0; z < Chunk.CHUNK_SIZE_Z; z++)
-            {
-                final double val = combinedC.get((chunkX * Chunk.CHUNK_SIZE_X + x) << 1, (chunkZ * Chunk.CHUNK_SIZE_Z + z) << 1) / 8.0D;
-                final int val2 = combinedD.get((chunkX * Chunk.CHUNK_SIZE_X + x) << 1, (chunkZ * Chunk.CHUNK_SIZE_Z + z) << 1) > 0.0D ? 1 : 0;
-                if (val > 2.0D)
-                {
+        for (int x = 0; x < Chunk.CHUNK_SIZE_X; x++) {
+            for (int z = 0; z < Chunk.CHUNK_SIZE_Z; z++) {
+                final double val = this.combinedC.get((chunkX * Chunk.CHUNK_SIZE_X + x) << 1, (chunkZ * Chunk.CHUNK_SIZE_Z + z) << 1) / 8.0D;
+                final int val2 = this.combinedD.get((chunkX * Chunk.CHUNK_SIZE_X + x) << 1, (chunkZ * Chunk.CHUNK_SIZE_Z + z) << 1) > 0.0D ? 1 : 0;
+                if (val > 2.0D) {
                     final int newHeight = ((newHeightMap[x + z * Chunk.CHUNK_SIZE_X] - val2) / 2 << 1) + val2;
                     newHeightMap[x + z * Chunk.CHUNK_SIZE_X] = newHeight;
                 }
@@ -93,40 +84,31 @@ public class ChunkGeneratorClassic
         }
 
         // Soiling..
-        for (int x = 0; x < Chunk.CHUNK_SIZE_X; x++)
-        {
-            for (int z = 0; z < Chunk.CHUNK_SIZE_Z; z++)
-            {
-                final int val = (int) (octavesB.get(chunkX * Chunk.CHUNK_SIZE_X + x, chunkZ * Chunk.CHUNK_SIZE_Z + z) / 24.0D) - 4;
+        for (int x = 0; x < Chunk.CHUNK_SIZE_X; x++) {
+            for (int z = 0; z < Chunk.CHUNK_SIZE_Z; z++) {
+                final int val = (int) (this.octavesB.get(chunkX * Chunk.CHUNK_SIZE_X + x, chunkZ * Chunk.CHUNK_SIZE_Z + z) / 24.0D) - 4;
                 int newHeight;
-                final int val2 = (newHeight = newHeightMap[x + z * Chunk.CHUNK_SIZE_X] + world.getWorldType().getOceanY()) + val;
+                final int val2 = (newHeight = newHeightMap[x + z * Chunk.CHUNK_SIZE_X] + this.world.getWorldType().getOceanY()) + val;
                 newHeightMap[x + z * Chunk.CHUNK_SIZE_X] = Math.max(newHeight, val2);
-                if (newHeightMap[x + z * Chunk.CHUNK_SIZE_X] > world.getWorldType().getMaxY() - 2)
-                {
-                    newHeightMap[x + z * Chunk.CHUNK_SIZE_X] = world.getWorldType().getMaxY() - 2;
+                if (newHeightMap[x + z * Chunk.CHUNK_SIZE_X] > this.world.getWorldType().getMaxY() - 2) {
+                    newHeightMap[x + z * Chunk.CHUNK_SIZE_X] = this.world.getWorldType().getMaxY() - 2;
                 }
 
-                if (newHeightMap[x + z * Chunk.CHUNK_SIZE_X] < 1)
-                {
+                if (newHeightMap[x + z * Chunk.CHUNK_SIZE_X] < 1) {
                     newHeightMap[x + z * Chunk.CHUNK_SIZE_X] = 1;
                 }
 
-                for (int y = world.getWorldType().getMinY(); y < world.getWorldType().getMaxY(); y++)
-                {
+                for (int y = this.world.getWorldType().getMinY(); y < this.world.getWorldType().getMaxY(); y++) {
                     final int index = Chunk.makeBlockIndex(x, y, z);
                     int blockID = 0;
 
-                    if (y < newHeight)
-                    {
-                        blockID = world.getWorldType().getFillerBlockId();
-                    }
-                    else if (y < world.getWorldType().getOceanY())
-                    {
-                        blockID = world.getWorldType().getOceanBlockId();
+                    if (y < newHeight) {
+                        blockID = this.world.getWorldType().getFillerBlockId();
+                    } else if (y < this.world.getWorldType().getOceanY()) {
+                        blockID = this.world.getWorldType().getOceanBlockId();
                     }
 
-                    if (y == 0)
-                    {
+                    if (y == 0) {
                         blockID = Blocks.BEDROCK.id();
                     }
 
@@ -135,8 +117,8 @@ public class ChunkGeneratorClassic
             }
         }
 
-        sg.generateSurface(chunk, result);
-        cg.generate(world, chunkX, chunkZ, result);
+        this.sg.generateSurface(chunk, result);
+        this.cg.generate(this.world, chunkX, chunkZ, result);
 
         return result;
     }
